# Manifest, Settings & Language

The WP Mobile Pack content API implements a series of endpoints that are responsible for exporting comments. These are as follows:

| Endpoint       | Description                                            |
| -------------- | ------------------------------------------------------ |
| exportmanifest | Export the manifest.                                   |
| exportsettings | Export the application's settings.                     |
| exportlanguage | Export the application's texts in different languages. |

## **Please note all endpoints support JSONP.**

All URL’s are relative to the WP Mobile Pack installation folder, typically located at /wp-content/plugins/wordpress-mobile-pack.

## 1) Exporting the manifest

**Relative FREE URL:**/wp-content/plugins/wordpress-mobile-pack/export/content.php?content=androidmanifest

**Relative PRO URL:**/wp-content/plugins/wordpress-mobile-pack-pro/frontend/export/content.php?content=androidmanifest

**Parameters:**

| **GET Params** | **Type** | **Required** | **Description**             |
| -------------- | -------- | ------------ | --------------------------- |
| content        | String   | Yes          | Equal to "androidmanifest". |

**Response type:** JSONP

**Response format**

| **Field**         | **Type**                                | **Required** | **Description**                               |
| ----------------- | --------------------------------------- | ------------ | --------------------------------------------- |
| name              | Alphanumeric string or          integer | Yes          | The name of the web app.                      |
| start\_url        | URL                                     | Yes          | The homepage of the          web app.         |
| display           | String                                  | Yes          | Hide or show the                   browser UI |
| orientation       | String                                  | Yes          | The web app's orientation.                    |
| theme\_color      | String                                  | Yes          | The browser UI color.                         |
| background\_color | String                                  | Yes          | Splash screen color on web app launch.        |
| icons             | Array of string and URL                 | Yes          | Home screen icons urls and sizes.             |

## 2) Exporting settings

**Relative FREE URL:**/wp-content/plugins/wordpress-mobile-pack/export/content.php?content=exportsettings

**Relative PRO URL:**/wp-content/plugins/wordpress-mobile-pack-pro/frontend/export/content.php?content=exportsettings

**Parameters:**

| **GET Params** | **Type** | **Required** | **Description**            |
| -------------- | -------- | ------------ | -------------------------- |
| content        | String   | Yes          | Equal to "exportsettings". |

**Response type:** JSONP

**Response format:**

| **Field**       | **Type**                | **Required** | **Description**                                                                                                                                                                          |
| --------------- | ----------------------- | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| export          | Array of arrays and URL | Yes          | URLs that lead to endpoints for: exporting one or more categories, exporting one  or more posts, exporting    one or more pages,               exporting or inserting          comments. |
| Translate       | Array of arrays and URL | Yes          | Specifies the language and the path to the export          language endpoint.                                                                                                            |
| socialMedia     | Array of bool           | Yes          | Social media options.                                                                                                                                                                    |
| commentsToken   | String                  | Yes          | The generated comments    token.                                                                                                                                                         |
| articlesPerCard | String                  | Yes          | For themes that use a         carousel, specifies how    many themes to show per card.                                                                                                   |
| homeText        | String                  | Yes          | The web app home text.                                                                                                                                                                   |
| logo            | URL                     | Yes          | Path to logo file.                                                                                                                                                                       |
| icon            | URL                     | Yes          | Path to the web app icon.                                                                                                                                                                |
| defaultCover    | URL                     | Yes          | Path to the web app cover.                                                                                                                                                               |

## 3) Exporting the app texts for a locale

**Relative FREE URL:**/wp-content/plugins/wordpress-mobile-pack/export/content.php?content=apptexts\&locale=en\_US\&format=json

**Relative PRO URL:**/wp-content/plugins/wordpress-mobile-pack-pro/frontend/export/content.php?content=apptexts\&locale=en\_US\&format=json

**Parameters:**

| **GET Params** | **Type** | **Required** | **Description**                                                      |
| -------------- | -------- | ------------ | -------------------------------------------------------------------- |
| content        | String   | Yes          | Equal to "apptexts"                                                  |
| locale         | String   | No           | The language prefix. Default english.                                |
| format         | String   | No           | The response format, can   be set to json, defaults to   javascript. |

**Response type:** JSONP or javascript

**Response format:**

| **Field**     | **Type**         | **Required** | Description                                          |
| ------------- | ---------------- | ------------ | ---------------------------------------------------- |
| links         | Array of strings | Yes          | Translations for link texts.                         |
| texts         | Array of strings | Yes          | Translations for general       texts.                |
| pull\_refresh | Array of strings | Yes          | Translations for web app    navigation instructions. |
| forms         | Array of strings | Yes          | Translations for texts used  in forms                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wpmobilepack.com/content-api/manifest-settings-and-language.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
